var Fresh; if (!Fresh) Fresh = {};

Fresh.AboutWindow = function() {
	var panel = new Ext.Panel({
		html: Ext.getDom('about-win').innerHTML
	});
	Fresh.AboutWindow.superclass.constructor.call(this, {
		title: 'About RSS Feed Viewer',
		autoHeight: true,
		plain: true,
		modal: true,
		hidden: false,
		closeAction: 'hide',
		listeners: Fresh.Reader.LinkInterceptor,
		buttons: [{
			text: 'OK',
			handler: this.hide.createDelegate(this, [])	
		}],
		items: [panel]
	});
}

Ext.extend(Fresh.AboutWindow, Ext.Window, {
	show: function() {
		Fresh.AboutWindow.superclass.show.apply(this, arguments);
		Fresh.Reader.enableKeyMap(false);		
	},
	
	hide: function() {
		Fresh.AboutWindow.superclass.hide.apply(this, arguments);
		Fresh.Reader.enableKeyMap(true);		
	}
});