var Fresh; if (!Fresh) Fresh = {};


Fresh.HelpWindow = function() {
	var panel = new Ext.Panel({
		html: Ext.getDom('help-win').innerHTML,
		autoScroll: true
	});	
	Fresh.HelpWindow.superclass.constructor.call(this, {
		title: 'Keyboard/Mouse navigation',
		autoHeight: true,
		plain: true,
		modal: true,
		hidden: false,
		closeAction: 'hide',
		buttons: [{
			text: 'OK',
			handler: this.hide.createDelegate(this, [])	
		}],
		items:[panel]
	});
}

Ext.extend(Fresh.HelpWindow, Ext.Window, {
	show: function() {
		Fresh.HelpWindow.superclass.show.apply(this, arguments);
		Fresh.Reader.enableKeyMap(false);		
	},
	
	hide: function() {
		Fresh.PreferencesWindow.superclass.hide.apply(this, arguments);
		Fresh.Reader.enableKeyMap(true);		
	}
});
