 
var Fresh; if (!Fresh) Fresh = {};

Fresh.OpmlFile = function() {
	this.addEvents(
		"opmlimported"
	);
	Fresh.OpmlFile.superclass.constructor.call(this);
};

Ext.extend(Fresh.OpmlFile, Ext.util.Observable, {
	importOPML : function(feedDB, opmlHandler) {
		var opmlOpenFile = new air.File();
   		var opmlFilter = new runtime.Array(new air.FileFilter("OPML files", "*.opml"), new air.FileFilter("All files", "*.*"));
   		var _self = this;
		//			
    	opmlOpenFile.addEventListener(air.Event.SELECT, function(event) {
			air.trace("onImportOPML Selected")
	    	var sourceFile = event.target;
			var sourceStream = new air.FileStream();
			var content = false;
			try {
				sourceStream.open(sourceFile, air.FileMode.READ);
				content = sourceStream.readUTFBytes(sourceStream.bytesAvailable);
				sourceStream.close();
			} catch (e) {}
			delete sourceStream;
			if (content) {
				var records = opmlHandler.readOpml(content);
				if (feedDB.addOpmlFeeds(records.records)) {
					_self.fireEvent("opmlimported");
				}
				
			}					            	
		});
		try {
			opmlOpenFile.browseForOpen("Open OPML file", opmlFilter);
		}catch(e) {}
	},
        
	exportOPML : function(feedDB, opmlHandler) {
		var opmlSaveFile = new air.File();
    	opmlSaveFile.addEventListener(air.Event.SELECT, function(event) {
			var destinationFile = event.target;
			//air.trace(destinationFile.nativePath);
			try {
				var xml = opmlHandler.exportOpml(feedDB);
				var destinationStream = new air.FileStream();
				destinationStream.open(destinationFile, air.FileMode.WRITE);
				destinationStream.writeUTFBytes(xml);
				destinationStream.close();
			} catch(e) {
				alert("Error exporting OPML file!" + e);
				return;
			}	
			Fresh.Utils.openInBrowser("file:///" + destinationFile.nativePath, this.win);
		});			
		try {
			opmlSaveFile.browseForSave("Save OPML file");        		
		}catch(e) {	}
	}	
});



